Jump to: navigation, search

Difference between revisions of "Recommenders/Attic/Release/ThirdPartyDependencies"

m (Removing all content from page)
 
Line 1: Line 1:
== Direct Dependencies  ==
 
  
{| align="left" width="100%" cellspacing="1" cellpadding="1" border="0"
 
|-
 
| '''Name'''
 
| '''Version'''
 
| '''Location'''
 
| '''IP Check'''
 
| '''Notes'''
 
|-
 
| ch.qos.logback.classic
 
| 0.9.27'''<br>'''
 
| Orbit
 
| PB5895 (CQ4827)'''<br>'''
 
| <br>
 
|-
 
| ch.qos.logback.core<br>
 
| 0.9.27
 
| Orbit
 
| PB5896 (CQ4826)
 
| <br>
 
|-
 
| com.google.gson<br>
 
| 2.1.0<br>
 
| 3rd-git<br>
 
| CQ5923 '''requested'''<br>
 
| Used for (de-)serialization in JSON format<br>
 
|-
 
| com.google.guava'''<br>'''
 
| 10.0.1'''<br>'''
 
| 3rd-git'''<br>'''
 
| PB5901; CQ5804'''<br>'''
 
| Common utils &amp; EventBus<br>
 
|-
 
| com.google.inject<br>
 
| 3.0.0<br>
 
| 3rd-git<br>
 
| CQ5058<br>
 
| Dependency Injection Framework<br>
 
|-
 
| com.google.inject.assistedinject<br>
 
| 3.0.0<br>
 
| 3rd-git<br>
 
| CQ5059<br>
 
| Support for assisted injection<br>
 
|-
 
| com.google.inject.multibindings<br>
 
| 3.0.0<br>
 
| 3rd-git<br>
 
| CQ5060<br>
 
| <br>
 
|-
 
| com.ibm.wala.core<br>
 
| 1.3.1<br>
 
| 3rd-git<br>
 
| CQ4757
 
| Used for static analysis; Update to 1.3.2 is requested (CQ5908)<br>
 
|-
 
| com.ibm.wala.shrike<br>
 
| 1.3.1<br>
 
| 3rd-git<br>
 
| CQ4758
 
| Used for static analysis; Update to 1.3.2 is requested (CQ5909)<br>
 
|-
 
| com.ibm.wala.util
 
| 1.3.1
 
| 3rd-git
 
| CQ '''needed'''
 
| Used for static analysis; Update to 1.3.2 is planned
 
|-
 
| com.sun.jersey.client<br>
 
| 1.8.0<br>
 
| 3rd-git<br>
 
| PB5511 (CQ5509) <br>
 
|
 
|-
 
| com.sun.jersey.core<br>
 
| 1.8.0<br>
 
| 3rd-git<br>
 
| PB5512 (CQ5221)<br>
 
| <br>
 
|-
 
| com.sun.jersey.server<br>
 
| 1.8.0<br>
 
| 3rd-git<br>
 
| PB5512 (CQ5221)<br>
 
| <br>
 
|-
 
| org.apache.commons.io
 
| 2.0.1<br>
 
| Orbit
 
| CQ4790
 
| <br>
 
|-
 
| org.apache.commons.lang3'''<br>'''
 
| 3.1.0'''<br>'''
 
| 3rd-git'''<br>'''
 
| CQ5902 '''requested'''
 
| Common utils<br>
 
|-
 
| javax.inject
 
| 1.0.0
 
| Orbit
 
| PB5969 '''requested''' (CQ3555)<br>
 
| Required by com.google.inject
 
|-
 
| org.apache.commons.math<br>
 
| 2.1.0<br>
 
| Orbit<br>
 
| CQ4759<br>
 
| <br>
 
|-
 
| org.apache.commons.pool
 
| 1.4.0'''<br>'''
 
| Orbit
 
| PB5903 (CQ2736)
 
| <br>
 
|-
 
| org.apache.commons.primitives<br>
 
| 1.0.0<br>
 
| 3rd-git<br>
 
| CQ4761<br>
 
| Common utils<br>
 
|-
 
| org.apache.lucene'''<br>'''
 
| 3.5.0'''<br>'''
 
| 3rd-git'''<br>'''
 
| CQ5907 '''requested'''
 
| Search library<br>
 
|-
 
| org.kohsuke.args4j
 
| 2.0.12'''<br>'''
 
| Orbit
 
| PB5904 (CQ3545)'''<br>'''
 
| <br>
 
|-
 
| javax.servlet
 
| 3.0.0
 
| Orbit
 
| PB5968 '''requested''' (CQ 5018)
 
| used by server plugins - not RCP
 
|-
 
| javax.ws.rs
 
| 1.1.1
 
| Orbit
 
| PB5967 '''requested''' (CQ 4514)
 
| used by server plugins - not RCP
 
|-
 
| org.sl4fj.api
 
| 1.6.1'''<br>'''
 
| Orbit
 
| PB5905 (CQ4408)'''<br>'''
 
| <br>
 
|}
 
 
<br> <br>
 
 
<br>
 
 
== Transitive Dependencies  ==
 
 
Bundles required to build direct dependencies and bundles required at runtime dependencies for direct dependencies.
 
 
{| align="left" width="100%" cellspacing="1" cellpadding="1" border="0"
 
|-
 
| '''Name'''
 
| '''Version'''
 
| '''Location'''
 
| '''IP Check'''
 
| '''Notes'''
 
|-
 
| net.sf.cglib<br>
 
| 2.2.0<br>
 
| 3rd-git<br>
 
| PB5912 (CQ4345)<br>
 
| Required by com.google.inject<br>
 
|-
 
| org.jvnet.mimepull
 
| 1.5.0
 
| 3rd-git
 
| PB5965 (CQ5304)
 
| Required by com.sun.jersey (delivered)
 
|}
 
 
== Test Dependencies  ==
 
 
{| align="left" width="100%" cellspacing="1" cellpadding="1" border="0"
 
|-
 
| '''Name'''
 
| '''Version'''
 
| '''Location'''
 
| '''IP Check'''
 
| '''Notes'''
 
|-
 
| net.sf.cglib<br>
 
| 2.2.0<br>
 
| 3rd-git<br>
 
| PB5912 (CQ4345)<br>
 
| <br>
 
|-
 
| org.aopalliance
 
| 1.0.0<br>
 
| Orbit
 
| PB5911 (CQ3087)<br>
 
| <br>
 
|-
 
| org.hamcrest<br>
 
| 1.1.0<br>
 
| Orbit<br>
 
| PB5911 (CQ2860)<br>
 
| <br>
 
|-
 
| org.junit<br>
 
| 4.8.2<br>
 
| Orbit<br>
 
| PB5911 (CQ5022)<br>
 
| <br>
 
|-
 
| org.objectweb.asm
 
| 3.3.1<br>
 
| Orbit
 
| PB5911 (CQ4721)<br>
 
| <br>
 
|-
 
| org.objenesis<br>
 
| 1.0.0<br>
 
| Orbit<br>
 
| PB5911 (CQ3931)<br>
 
| <br>
 
|-
 
| org.mockito<br>
 
| 1.8.4<br>
 
| Orbit<br>
 
| PB5911 (CQ3930)<br>
 
| <br>
 
|}
 
 
 
[[Category:Recommenders|Z]]
 

Latest revision as of 02:31, 26 September 2013